
import math
import random

def generate_random_square_root(arg1, arg2):
    if not isinstance(arg1, (int, float)) or not isinstance(arg2, (int, float)):
        raise ValueError("Both arguments must be numbers")
    if arg2 <= 0:
        raise ValueError("Second argument must be a positive number for square root calculation")
    return math.sqrt(arg1 / arg2)



